[DebugOptions]
; enable creation of (small) crash dumps for debugging when app crashes (a value of 4 enables full sized dumps)
CrashDump=1
; enable log file
LogDestinations=1

[WinShell]
; always disable window frame/border when running in windowed mode
;NoBorder=1

; constrain mouse cursor to app window when running DX9 (default mode is 1)
;    0 = never constrain
;    1 = constrain in fullscreen
;    2 = constrain in fullscreen only when in-game
;    3 = constrain in windowed and fullscreen
;    4 = constrain in windowed and fullscreen only when in-game
;ClipCursor=2

[Editor]
; enable automatic word wrapping in all darkdlgs multi-line text boxes (such as the Editor Comments property)
;WrapAllMultiLineText=1

; application to use for viewing material files from the texture palette context menu
;MaterialViewer="notepad.exe"

; enable resizable darkdlgs windows (default mode is 1)
;    0 = disabled, i.e. original behavior
;    1 = resizable, remember size and position
;    2 = resizable, remember only size
; (in the event that there are any problems with resizing of dialogs with an X button, it may help to enable
; an alternative resize method by adding the value 16 to above modes, i.e. set DialogResizing to 17 or 18)
;DialogResizing=1

; custom width for sdesc dialogs (the automatically generated dialogs for property editing), 0 uses default width
;SdescDialogWidth=0

; disable compact/cleaner metaproperty menus for Add/Query popup menus in darkdlgs (default is 1, enabled)
;CompactMetapropMenus=0

; filter support for for Add/Query popup menus in darkdlgs (default mode is 1)
;    0 = disabled, i.e. original behavior
;    1 = filter support is available but Ctrl+F has to be pressed to activate functionality
;    2 = filter support is enabled and always active (menu items can't be accessed with shortcuts)
;    5 = same as 1 but filtered menu items are preserved in their original sub-menus
;    6 = same as 2 but filtered menu items are preserved in their original sub-menus
;    9 = same as 1 but without appended category name in filter results (for example "Rotate  --  {Tweq}")
;   10 = same as 2 but without appended category name in filter results
;PropMenuFilterMode=0

; disable alphabetically sorted stimulus drop list in Add/Edit receptron dialogs (default is 1, enabled)
;SortStimComboList=0

; enable developer/rescue mode functions in darkdlgs (Specifically it enables holding down ctrl+shift when
; clicking on the Query or Edit buttons in the hierarchy dialog, and in doing so will allow editing of
; engine internal properties that are normally hidden. Changing, adding or deleting these can be very dangerous,
; either leading to crashes or potentially destroying a mission. This functionality is only intended as a last
; resort, to correct corrupted data or debugging, if you know what you're doing.)
;DevMode=1
